/**
 * Main5 部件模型
 *
 * @export
 * @class Main5Model
 */
export default class Main5Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof Main5Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibizsample0001id',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibizsample0001name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'formitem1',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem3',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem4',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem2',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem5',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem7',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem8',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem6',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem9',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem10',
        dataType:'FORMITEM',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'ibizsample0001id',
        prop: 'ibizsample0001id',
        dataType: 'GUID',
      },
      {
        name: 'ibizsample0001',
        prop: 'ibizsample0001id',
        dataType: 'FONTKEY',
      },
    ]
  }

}